LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices



Reply
 
Search this Thread
Old 11-13-2012, 02:55 PM   #1
eyanu
Member
 
Registered: Jul 2012
Location: kampala,Uganda
Distribution: backtrack
Posts: 87

Rep: Reputation: Disabled
libm.so.6(GLIBC_2.15)


Hello, i've been trying to install vlc, but i keep getting error below. Am using opensuse 12.2 32-bit

Quote:
Problem: nothing provides libm.so.6(GLIBC_2.15) needed by vlc-2.0.4-2.1.i586
Solution 1: do not install vlc-2.0.4-2.1.i586
Solution 2: break vlc by ignoring some of its dependencies
My zypper repositories are as follows:

Quote:
# | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
---+------------------------------------+------------------------------------------------+---------+---------+----------+--------+------------------------------------------------------------------------------------+--------
1 | Google-Chrome | Google-Chrome | Yes | No | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/i386 |
2 | KDE:Unstable:Playground | KDE:Unstable:Playground | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.2/ |
3 | Packman Repository | Packman Repository | Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/12.1/ |
4 | Updates-for-openSUSE-12.1-12.1-1.4 | Updates for openSUSE 12.1 12.1-1.4 | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/12.1/ |
5 | VLC | VLC | Yes | Yes | 99 | rpm-md | http://download.videolan.org/pub/vlc/SuSE/12.2/ |
6 | devel_tools_scm | Software configuration management (SLE_11_SP2) | Yes | No | 99 | rpm-md | http://download.opensuse.org/reposit...cm/SLE_11_SP2/ |
7 | dvd | dvd | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/12.2/ |
8 | editors | editors | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.2/ |
9 | google-chrome | google-chrome | Yes | Yes | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/i386 |
10 | home:gerritbeine | home:gerritbeine | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.2/ |
11 | libdvdcss repository | libdvdcss repository | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/12.1/ |
12 | openSUSE-12.1-12.1-1.4 | openSUSE-12.1-12.1-1.4 | Yes | No | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-MATSHITADVD-RAM_SW-9585A,/dev/sr0 |
13 | openSUSE:12.2:Update | openSUSE:12.2:Update | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/12.2/ |
14 | packman | packman | Yes | Yes | 99 | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/12.2/ |
15 | repo-debug | openSUSE-12.1-Debug | No | Yes | 99 | NONE | http://download.opensuse.org/debug/d...12.1/repo/oss/ |
16 | repo-debug-update | openSUSE-12.1-Update-Debug | No | Yes | 99 | NONE | http://download.opensuse.org/debug/update/12.1/ |
17 | repo-non-oss | openSUSE-12.1-Non-Oss | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
18 | repo-oss | openSUSE-12.1-Oss | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib...12.1/repo/oss/ |
19 | repo-source | openSUSE-12.1-Source | No | Yes | 99 | NONE | http://download.opensuse.org/source/...12.1/repo/oss/ |
20 | windows:mingw | windows:mingw | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.2/ |
21 | windows:mingw:win32 | windows:mingw:win32 | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.2/
Is there something am missing, glad if you can help me.
 
Old 11-13-2012, 04:42 PM   #2
John VV
Guru
 
Registered: Aug 2005
Posts: 13,459

Rep: Reputation: 1800Reputation: 1800Reputation: 1800Reputation: 1800Reputation: 1800Reputation: 1800Reputation: 1800Reputation: 1800Reputation: 1800Reputation: 1800Reputation: 1800
fix???
from that list of repos you are using
it looks like you "Frankensteind" the install a bit
with incompatible repos
see the 99 in that list that is the DEFAULT "priority"
the prioritys are use to KEEP incompatible rpms from being installed


i have NO idea about some of these
| home:gerritbeine
-- this one below dose look very bad ---
devel_tools_scm ?? a SEL 11 repo on OpenSUSE12 ???? those files are for a DIFFERENT OPERATING SYSTEM

KDE:Unstable:Playground
Google-Chrome ? installed twice ?
7 | repo-non-oss | openSUSE-12.1
--- all those 12.1 repos ARE A BIG PROBLEM


with this mess ?
it might not be fixable

I would do a clean reinstall

and start with ONLY using
-- the std default and ...
packman
libdvdcss repository - has one and ONLY one file
after it is installed uninstall that repo
VLC

do not install any 12.1 repos on 12.2

now you can try to fix it but?? do not hold your breath
OpenSUSE is VERY gui centric VERY
open up yast and in "add and remove software"
you have a check box to allow changing of repos ( change provider)

you can work backwards from "libm" the math lib and set libm to OSS
( in the gui on the right side you can change provider under the description )
and that is going to have a list
then all those on that list will also have a list -- and so on


HOPEFULLY you only have just a few

Last edited by John VV; 11-13-2012 at 04:57 PM.
 
1 members found this post helpful.
Old 11-14-2012, 12:37 AM   #3
eyanu
Member
 
Registered: Jul 2012
Location: kampala,Uganda
Distribution: backtrack
Posts: 87

Original Poster
Rep: Reputation: Disabled
Hey, thanks, finally got and this is how i did it.
Quote:
zypper modifyrepo --all --disable
zypper addrepo --name "openSUSE-12.2-OSS" http://download.opensuse.org/distrib...12.2/repo/oss/ repo-12.2-oss
zypper addrepo --name "openSUSE-12.2-Non-Oss" http://download.opensuse.org/distrib.../repo/non-oss/ repo-12.2-non-oss
zypper addrepo --refresh --name "openSUSE-12.2 Update-Oss" http://download.opensuse.org/update/12.2/ repo-12.2-update
zypper addrepo --refresh --name "openSUSE-12.2-Update-Non-Oss" http://download.opensuse.org/update/12.2-non-oss/ repo-12.2-non-oss-update
zypper addrepo -f http://ftp.gwdg.de/pub/linux/packman/suse/12.2/ packman
zypper ref
zypper in vlc
and it's working fine!! Thanks once again.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
where can I get libm.so.6 ? leon.zcom Programming 2 07-20-2010 03:10 AM
Libm.so.1 alkaline08 Linux - Software 0 06-29-2005 03:41 AM
where can i down load libm.so.1 vinsky2002 Linux - Software 1 01-07-2005 11:55 PM
libc.so.6(GLIBC_2.3), libc.so.6(GLIBC_2.3.2) needed for Linux 7.3.1 vivek_thampy Linux - Software 1 08-09-2004 05:12 PM
apache and libm.so.5 simon Linux - Networking 2 07-25-2001 12:21 PM


All times are GMT -5. The time now is 12:34 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration